# sympa

## Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with sympa](#setup)
    * [What sympa affects](#what-sympa-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with sympa](#beginning-with-sympa)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Description

This module install a mailing list server named [Sympa](https://www.sympa.community/).

## Setup

### What sympa affects

With `manage_user` at true the module creates a local account on system.

With `manage_database` at true the module installs a PostgreSQL database server and database with role.

### Setup Requirements

As a web app, you have to configure a web server. To do so with Puppet, it is possible to use :
 * [puppetlabs-apache](https://forge.puppet.com/modules/puppetlabs/apache/readme)
 * [puppet-nginx](https://forge.puppet.com/modules/puppet/nginx/readme)

As external command delivery, you have to configure a MTA. To do so with Puppet, it is possible to use [puppet-postfix](https://github.com/voxpupuli/puppet-postfix).

The alias file `${sympa::prefix_path}/${sympa::sysconf_dir}/${sympa::aliases_file}.postfix` have to be included into Postfix parameters `alias_maps` and `alias_database`.
Then `postalias` have to be applied on it.

### Beginning with sympa

The very basic steps can be simple :

`include sympa`

But it's better to change `db_password` at least.

## Usage

To customize topics :

```
class { 'sympa':
  topics => {
    'topic1' => {
      'en' => 'Topic one in English',
      'fr' => 'Cathégorie une en Français',
    },
  },
}
```

## Reference

Details are in [REFERENCE.md](https://gitlab.adullact.net/adullact/puppet-sympa/-/blob/main/REFERENCE.md) file.

## Limitations

The module is currently able to manage lists only with one domain. Several domains with robots are not managed.

Supported OSes are given in [metadata.json](https://gitlab.adullact.net/adullact/puppet-sympa/-/blob/main/metadata.json) file.

This module support only PostgreSQL as backend.



## Development

Home at URL https://gitlab.adullact.net/adullact/puppet-sympa

Issues and MR are welcome.

## Release Notes/Contributors/Etc.

Details in [CHANGELOG.md](https://gitlab.adullact.net/adullact/puppet-sympa/-/blob/main/CHANGELOG.md).

```
Copyright (C) 2025 Association des Développeurs et Utilisateurs de Logiciels Libres
                     pour les Administrations et Colléctivités Territoriales.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published
by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/agpl.html>.

```
